Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.runtime.manager.impl
Class DefaultRegisterableItemsFactory

    java.lang.Object
      org.jbpm.runtime.manager.impl.SimpleRegisterableItemsFactory
          org.jbpm.runtime.manager.impl.DefaultRegisterableItemsFactory

All Implemented Interfaces:
  org.kie.internal.runtime.manager.RegisterableItemsFactory

Direct Known Subclasses:
  InjectableRegisterableItemsFactory

    public class DefaultRegisterableItemsFactory

extends SimpleRegisterableItemsFactory

Constructor Summary
`DefaultRegisterableItemsFactory()`

Method Summary
`List<AgendaEventListener>` | `getAgendaEventListeners(RuntimeEngine runtime)`
`protected WorkItemHandler` | `getHTWorkItemHandler(RuntimeEngine runtime)`
`List<ProcessEventListener>` | `getProcessEventListeners(RuntimeEngine runtime)`
`List<WorkingMemoryEventListener>` | `getWorkingMemoryEventListeners(RuntimeEngine runtime)`
`Map<String,WorkItemHandler>` | `getWorkItemHandlers(RuntimeEngine runtime)`

Methods inherited from class org.jbpm.runtime.manager.impl.SimpleRegisterableItemsFactory
`addAgendaListener, addProcessListener, addWorkingMemoryListener, addWorkItemHandler, createInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultRegisterableItemsFactory

    public DefaultRegisterableItemsFactory()

Method Detail

### getWorkItemHandlers

    public Map<String,WorkItemHandler> getWorkItemHandlers(RuntimeEngine runtime)

  Specified by:
    `getWorkItemHandlers` in interface `org.kie.internal.runtime.manager.RegisterableItemsFactory`
  Overrides:
    `getWorkItemHandlers` in class `SimpleRegisterableItemsFactory`

### getProcessEventListeners

    public List<ProcessEventListener> getProcessEventListeners(RuntimeEngine runtime)

  Specified by:
    `getProcessEventListeners` in interface `org.kie.internal.runtime.manager.RegisterableItemsFactory`
  Overrides:
    `getProcessEventListeners` in class `SimpleRegisterableItemsFactory`

### getAgendaEventListeners

    public List<AgendaEventListener> getAgendaEventListeners(RuntimeEngine runtime)

  Specified by:
    `getAgendaEventListeners` in interface `org.kie.internal.runtime.manager.RegisterableItemsFactory`
  Overrides:
    `getAgendaEventListeners` in class `SimpleRegisterableItemsFactory`

### getWorkingMemoryEventListeners

    public List<WorkingMemoryEventListener> getWorkingMemoryEventListeners(RuntimeEngine runtime)

  Specified by:
    `getWorkingMemoryEventListeners` in interface `org.kie.internal.runtime.manager.RegisterableItemsFactory`
  Overrides:
    `getWorkingMemoryEventListeners` in class `SimpleRegisterableItemsFactory`

### getHTWorkItemHandler

    protected WorkItemHandler getHTWorkItemHandler(RuntimeEngine runtime)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.